/***************************************************************************
 *   Copyright (C) 2006 by George Kiagiadakis   *
 *   gkiagia@users.sourceforge.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef LAUNCHER_H
#define LAUNCHER_H

#include <QDialog>
#include "ui_launcherForm.h"
#include "confighandler.h"


class launcher : public QDialog
{
	Q_OBJECT

public:
	launcher(QWidget *parent = 0);
	~launcher();
	void setFileName(QString name);
	void setArguments(QString args);
	void setLog(QString filename);
	void setQuit_on_OK(bool choice);

private slots:
	void on_OKButton_clicked();
	void on_HelpButton_clicked();
	void on_browseButton_clicked();
	void on_CreateButton_clicked();

private:
	Ui::launcherForm lf;
	QString filename;
	bool Quit_on_OK;
	void saveSession();
};

#endif
